assign: assign values to geometries

## Functions

template<typename Geometry1 , typename Geometry2 >
void | boost::geometry::assign (Geometry1 &geometry1, Geometry2 const &geometry2)
| Assigns one geometry to another geometry.
template<typename Geometry >
void | boost::geometry::assign_inverse (Geometry &geometry)
| assign to a box inverse infinite
template<typename Geometry , typename Range >
void | boost::geometry::assign_points (Geometry &geometry, Range const &range)
| Assign a range of points to a linestring, ring or polygon.
template<typename Geometry , typename Type >
void | boost::geometry::assign_values (Geometry &geometry, Type const &c1, Type const &c2)
| Assign two coordinates to a geometry (usually a 2D point)
template<typename Geometry , typename Type >
void | boost::geometry::assign_values (Geometry &geometry, Type const &c1, Type const &c2, Type const &c3)
| Assign three values to a geometry (usually a 3D point)
template<typename Geometry , typename Type >
void | boost::geometry::assign_values (Geometry &geometry, Type const &c1, Type const &c2, Type const &c3, Type const &c4)
| Assign four values to a geometry (usually a box or segment)
template<typename Geometry >
void | boost::geometry::assign_zero (Geometry &geometry)
| assign zero values to a box, point

## Function Documentation

template<typename Geometry , typename Range >

void boost::geometry::assign_points | ( | Geometry & | geometry,
|  | Range const & | range
| ) |  |

Assign a range of points to a linestring, ring or polygon.

Note:
  The point-type of the range might be different from the point-type of the geometry

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept
  Range | Any type fulfilling a Range Concept where it range_value type fulfills the Point Concept

Parameters:

  geometry | A model of the specified concept
  range | A range containg points fulfilling range and point concepts

Examples:
  03_polygon_example.cpp, and 06_a_transformation_example.cpp.

template<typename Geometry >

void boost::geometry::assign_inverse | ( | Geometry & | geometry | ) |

assign to a box inverse infinite

The assign_inverse function initialize a 2D or 3D box with large coordinates, the min corner is very large, the max corner is very small. This is a convenient starting point to collect the minimum bounding box of a geometry.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

Parameters:

  geometry | A model of the specified concept

Examples:
  07_a_graph_route_example.cpp, and 07_b_graph_route_example.cpp.

template<typename Geometry >

void boost::geometry::assign_zero | ( | Geometry & | geometry | ) |

assign zero values to a box, point

The assign_zero function initializes a 2D or 3D point or box with coordinates of zero

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

Parameters:

  geometry | A model of the specified concept

Examples:
  07_a_graph_route_example.cpp, and 07_b_graph_route_example.cpp.

template<typename Geometry , typename Type >

void boost::geometry::assign_values | ( | Geometry & | geometry,
|  | Type const & | c1,
|  | Type const & | c2
| ) |  |

Assign two coordinates to a geometry (usually a 2D point)

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept
  Type | numerical type (int, double, ttmath, ...) to specify the coordinates

Parameters:

  geometry | A model of the specified concept
  c1 | First coordinate (usually x-coordinate)
  c2 | Second coordinate (usually y-coordinate)

Examples:
  01_point_example.cpp, 02_linestring_example.cpp, and c01_custom_point_example.cpp.

template<typename Geometry , typename Type >

void boost::geometry::assign_values | ( | Geometry & | geometry,
|  | Type const & | c1,
|  | Type const & | c2,
|  | Type const & | c3
| ) |  |

Assign three values to a geometry (usually a 3D point)

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept
  Type | numerical type (int, double, ttmath, ...) to specify the coordinates

Parameters:

  geometry | A model of the specified concept
  c1 | First coordinate (usually x-coordinate)
  c2 | Second coordinate (usually y-coordinate)
  c3 | Third coordinate (usually z-coordinate)

template<typename Geometry , typename Type >

void boost::geometry::assign_values | ( | Geometry & | geometry,
|  | Type const & | c1,
|  | Type const & | c2,
|  | Type const & | c3,
|  | Type const & | c4
| ) |  |

Assign four values to a geometry (usually a box or segment)

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept
  Type | numerical type (int, double, ttmath, ...) to specify the coordinates

Parameters:

  geometry | A model of the specified concept
  c1 | First coordinate (usually x1)
  c2 | Second coordinate (usually y1)
  c3 | Third coordinate (usually x2)
  c4 | Fourth coordinate (usually y2)

template<typename Geometry1 , typename Geometry2 >

void boost::geometry::assign | ( | Geometry1 & | geometry1,
|  | Geometry2 const & | geometry2
| ) |  |

Assigns one geometry to another geometry.

The assign algorithm assigns one geometry, e.g. a BOX, to another geometry, e.g. a RING. This only works if it is possible and applicable.

Template Parameters:

  Geometry1 | Any type fulfilling a Geometry Concept
  Geometry2 | Any type fulfilling a Geometry Concept

Parameters:

  geometry1 | A model of the specified concept (target)
  geometry2 | A model of the specified concept (source)

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK